- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cPlaceHolderModule Class Reference
[Parallel simulation support]

In distributed parallel simulation, modules of the network are distributed across partitions. More...

`#include <cplaceholdermod.h>`

Inheritance diagram for cPlaceHolderModule:

List of all members.

## Public Member Functions
Constructors, destructor, assignment.
| cPlaceHolderModule (const cPlaceHolderModule &mod)
| cPlaceHolderModule ()
virtual | ~cPlaceHolderModule ()
cPlaceHolderModule & | operator= (const cPlaceHolderModule &mod)
Redefined cObject functions.
virtual cPolymorphic * | dup () const
Redefined cModule functions
virtual void | arrived (cMessage *msg, int n, simtime_t t)
virtual bool | callInitialize (int stage)
virtual void | callFinish ()
virtual void | scheduleStart (simtime_t t)

## Detailed Description

In distributed parallel simulation, modules of the network are distributed across partitions.

Represents a module which was instantiated on a remote partition.

## Constructor & Destructor Documentation

cPlaceHolderModule::cPlaceHolderModule | ( | const cPlaceHolderModule & | mod | ) |

| Copy constructor.

cPlaceHolderModule::cPlaceHolderModule | ( |  | ) |

| Constructor. Note that module objects should not be created directly, only via their cModuleType objects. See cModule constructor for more info.

virtual cPlaceHolderModule::~cPlaceHolderModule | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cPlaceHolderModule::arrived | ( | cMessage * | msg,
|  | int | n,
|  | simtime_t | t
| ) | `[virtual]`

| Not implemented: throws an exception when called.

virtual void cPlaceHolderModule::callFinish | ( |  | ) | `[virtual]`

| Does nothing. Reimplemented from cModule.

virtual bool cPlaceHolderModule::callInitialize | ( | int | stage | ) | `[virtual]`

| Does nothing. Reimplemented from cModule.

virtual cPolymorphic* cPlaceHolderModule::dup | ( |  | ) | const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cDefaultList.

cPlaceHolderModule& cPlaceHolderModule::operator= | ( | const cPlaceHolderModule & | mod | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

virtual void cPlaceHolderModule::scheduleStart | ( | simtime_t | t | ) | `[virtual]`

| Does nothing. Implements cModule.

The documentation for this class was generated from the following file:

- cplaceholdermod.h